> For the complete documentation index, see [llms.txt](https://docs.lsports.eu/u/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lsports.eu/u/engage/hyper-livescore/fixture-message-structure.md).

# Fixture Message Structure

## Common Header

| Field       | Type          | Notes                             |
| ----------- | ------------- | --------------------------------- |
| MessageId   | string (GUID) | Unique per message; GUID/UUID v4  |
| Timestamp   | ISO-8601      | UTC                               |
| MessageType | int (enum)    | 1 = Fixture, 2 = LiveScore        |
| Fixtureid   | String        | Unique identifier for the fixture |
| Leagueid    | String        | Unique identifier for the League  |
| Sportid     | String        | Unique identifier for the Sport   |

***

## Fixture

**Example**

```json
{
  "header": {
    "MessageId": "d9e1a4e6-2a44-4a3d-9bbd-0a9a7f5e1c2d",
    "Timestamp": "2025-11-04T19:45:00Z",
    "MessageType": 1
  },
  "body": {
    "fixtureId": 123456,
    "status": 1,
    "startDate": "2025-11-04T19:45:00Z",
    "sport":    { "id": 6046, "name": "Football" },
    "league":   { "id": 1001, "name": "Premier League" },
    "location": { "id": 250,  "name": "England" },
    "participants": [
      { "id": 9001, "name": "Arsenal", "position": 1 },
      { "id": 9002, "name": "Chelsea", "position": 2 }
    ]
  }
}
```

***

## Fields (body)

| Field        | Type                   | Nullable | Notes                    |
| ------------ | ---------------------- | -------- | ------------------------ |
| fixtureId    | int                    | No       | Join key for incidents   |
| status       | int (enum)             | No       | See Fixture Status below |
| startDate    | string (ISO-8601, UTC) | No       | Scheduled start          |
| sport        | Sport object           | No       | Sport metadata           |
| league       | League object          | No       | League metadata          |
| location     | Location object        | No       | Country / venue          |
| participants | array of Participant   | No       | Ordered \[home, away]    |

***

## Sport (object)

| Field | Type   | Nullable | Notes      |
| ----- | ------ | -------- | ---------- |
| id    | int    | No       | Sport id   |
| name  | string | No       | Sport name |

## League (object)

| Field | Type   | Nullable | Notes       |
| ----- | ------ | -------- | ----------- |
| id    | int    | No       | League id   |
| name  | string | No       | League name |

## Location (object)

| Field | Type   | Nullable | Notes         |
| ----- | ------ | -------- | ------------- |
| id    | int    | No       | Location id   |
| name  | string | No       | Location name |

## Participant (object)

| Field    | Type       | Required | Notes              |
| -------- | ---------- | -------- | ------------------ |
| id       | int        | Yes      | Participant id     |
| name     | string     | Yes      | Participant name   |
| position | int (enum) | Yes      | 1 = home, 2 = away |

***

## Fixture Status (enum)

| Value | Name         |
| ----- | ------------ |
| 1     | NSY          |
| 2     | InProgress   |
| 3     | Finished     |
| 4     | Cancelled    |
| 5     | Postponed    |
| 6     | Interrupted  |
| 7     | Abandoned    |
| 8     | LostCoverage |
| 9     | AboutToStart |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.lsports.eu/u/engage/hyper-livescore/fixture-message-structure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
